Subject: Re: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Howard Melman <[email-masked]>
Date: Mon, 20 Jun 2022 18:04:42 -0400

> On Jun 20, 2022, at 12:51 PM, Juri Linkov <[email-masked]> wrote:
> 
>>>> But if the majority will prefer to remove it, then I could commit such
>>>> a patch.  So we need just one additional vote that supports this
>>>> change :)
>>> 
>>> I vote for keeping the message, but I have no strong opinion.
>> 
>> Why though?  How does it help me as a user?  And if I do need this
>> information for some reason, why can't I just flip the mode off and on
>> again?
> 
> Every minor mode displays a message, e.g.:
> 
>  M-x delete-selection-mode
>  Delete-Selection mode enabled
> 
>  M-x electric-pair-mode
>  Electric-Pair mode enabled

My original report was about enabling these in init.el and seeing the
message in the *Messages* buffer.  I have the following in my init:

(size-indication-mode)
(column-number-mode)
(show-paren-mode)
(recentf-mode)
(which-function-mode)
(global-hl-line-mode)
(context-menu-mode)			; new in Emacs 28
(global-so-long-mode)
(repeat-mode)				; new in Emacs 28

Of the above, only recentf-mode and repeat-mode write to the
*Messages* buffer on startup.  I added electric-pair-mode to my
init and it did not write to *Messages* though if I toggle it interactively
with M-x it does output (I assume to the echo area).

Howard